com.impinj.stp

## Interface StpApi.OperationSummaryReportOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    StpApi.OperationSummaryReport, StpApi.OperationSummaryReport.Builder
  Enclosing class:
    StpApi

      public static interface StpApi.OperationSummaryReportOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getOperationElapsedTime()`
    `StpApi.OperationSummaryResult` | `getOperationResult()`
    `java.lang.String` | `getOperationResultDetail()`
    `com.google.protobuf.ByteString` | `getOperationResultDetailBytes()`
    `int` | `getTagOperationFailCount()`
    `int` | `getTagOperationPassCount()`
    `int` | `getTagOperationTotalCount()`
    `StpApi.Timestamp` | `getTimestamp()`
    `StpApi.TimestampOrBuilder` | `getTimestampOrBuilder()`
    `boolean` | `hasOperationElapsedTime()`
    `boolean` | `hasOperationResult()`
    `boolean` | `hasOperationResultDetail()`
    `boolean` | `hasTagOperationFailCount()`
    `boolean` | `hasTagOperationPassCount()`
    `boolean` | `hasTagOperationTotalCount()`
    `boolean` | `hasTimestamp()`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasTimestamp

          boolean hasTimestamp()

    - #### getTimestamp

          StpApi.Timestamp getTimestamp()

    - #### getTimestampOrBuilder

          StpApi.TimestampOrBuilder getTimestampOrBuilder()

    - #### hasOperationResult

          boolean hasOperationResult()

    - #### getOperationResult

          StpApi.OperationSummaryResult getOperationResult()

    - #### hasOperationResultDetail

          boolean hasOperationResultDetail()

    - #### getOperationResultDetail

          java.lang.String getOperationResultDetail()

    - #### getOperationResultDetailBytes

          com.google.protobuf.ByteString getOperationResultDetailBytes()

    - #### hasOperationElapsedTime

          boolean hasOperationElapsedTime()

    - #### getOperationElapsedTime

          int getOperationElapsedTime()

    - #### hasTagOperationTotalCount

          boolean hasTagOperationTotalCount()

    - #### getTagOperationTotalCount

          int getTagOperationTotalCount()

    - #### hasTagOperationPassCount

          boolean hasTagOperationPassCount()

    - #### getTagOperationPassCount

          int getTagOperationPassCount()

    - #### hasTagOperationFailCount

          boolean hasTagOperationFailCount()

    - #### getTagOperationFailCount

          int getTagOperationFailCount()